MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations | Functions

# src/event_pipe.h File Reference

`#include <glib.h>`

Go to the source code of this file.

## Typedefs
typedef void(* | event_pipe_callback_t )(void)
## Enumerations
enum | pipe_event { PIPE_EVENT_UPDATE, PIPE_EVENT_DELETE, PIPE_EVENT_IDLE, PIPE_EVENT_PLAYLIST, PIPE_EVENT_TAG, PIPE_EVENT_RELOAD, PIPE_EVENT_MIXER, PIPE_EVENT_SHUTDOWN, PIPE_EVENT_MAX }
## Functions
void | event_pipe_init (void)
void | event_pipe_deinit (void)
void | event_pipe_register (enum pipe_event event, event_pipe_callback_t callback)
void | event_pipe_emit (enum pipe_event event)
void | event_pipe_emit_fast (enum pipe_event event)
| Similar to event_pipe_emit(), but aimed for use in signal handlers: it doesn't lock the mutex, and doesn't log on error.

## Typedef Documentation

typedef void(* event_pipe_callback_t)(void)

Definition at line 53 of file event_pipe.h.

## Enumeration Type Documentation

enum pipe_event

Enumerator:

  PIPE_EVENT_UPDATE | database update was finished
  PIPE_EVENT_DELETE | during database update, a song was deleted
  PIPE_EVENT_IDLE | an idle event was emitted
  PIPE_EVENT_PLAYLIST | must call playlist_sync()
  PIPE_EVENT_TAG | the current song's tag has changed
  PIPE_EVENT_RELOAD | SIGHUP received: reload configuration, roll log file.
  PIPE_EVENT_MIXER | a hardware mixer plugin has detected a change
  PIPE_EVENT_SHUTDOWN | shutdown requested
  PIPE_EVENT_MAX |

Definition at line 25 of file event_pipe.h.

## Function Documentation

void event_pipe_deinit | ( | void |  | ) |

void event_pipe_emit | ( | enum pipe_event | event | ) |

void event_pipe_emit_fast | ( | enum pipe_event | event | ) |

Similar to event_pipe_emit(), but aimed for use in signal handlers: it doesn't lock the mutex, and doesn't log on error.

That makes it potentially lossy, but for its intended use, that does not matter.

void event_pipe_init | ( | void |  | ) |

void event_pipe_register | ( | enum pipe_event | event,
|  | event_pipe_callback_t | callback
| ) |  |